<?php
//$Id$
?>
  <div id="page" class="page">
    <div id="page-inner" class="page-inner">

      <!-- header-top row: width = grid_width -->
      <?php print render($page['header_top']); ?>

      <!-- header-group row: width = grid_width -->
      <div id="header-group-wrapper" class="header-group-wrapper <?php if ($page['preface_top']) { echo "with-preface-top"; } else { echo "without-preface-top"; }?> full-width">
        <div id="header-group" class="header-group region <?php print $grid_width; ?>">
          <div id="header-group-inner" class="header-group-inner inner clearfix">
          <div id="primary-menu"><?php print(render(menu_tree('main-menu')));?></div>
      <?php if ($logo || $site_name || $site_slogan || ($page['header'])): ?>
            <div id="header-site-info" class="header-site-info <?php if ($page['preface_top']) { echo "with-preface-top"; } else { echo "without-preface-top"; }?> block">
              <div id="header-site-info-inner" class="header-site-info-inner inner clearfix">
                <?php if ($logo): ?>
                <div id="logo">
                  <a href="<?php print check_url($front_page); ?>" title="<?php print t('Home'); ?>"><img src="<?php print $logo; ?>" alt="<?php print t('Home'); ?>" /></a>
                </div>
                <?php endif; ?>
                <?php if ($site_name || $site_slogan): ?>
                <div id="site-name-wrapper" class="clearfix">
                  <?php if ($site_name): ?>
                  <span id="site-name"<?php if ($site_slogan): ?> class="with-slogan"<?php endif; ?>><a href="<?php print check_url($front_page); ?>" title="<?php print t('Home'); ?>"><?php print $site_name; ?></a></span>
                  <?php endif; ?>
                  <?php if ($site_slogan): ?>
                  <span id="slogan"><?php print $site_slogan; ?></span>
                  <?php endif; ?>
                </div><!-- /site-name-wrapper -->
                <?php endif; ?>
                <?php if ($page['header']): ?>
                <div id="header-wrapper" class="header-wrapper">
		   <?php print render ($page['header']); ?>
                </div>
                <?php endif; ?>
              </div><!-- /header-site-info-inner -->
            </div><!-- /header-site-info -->
            <?php endif; ?>
          </div><!-- /header-group-inner -->

          <!-- preface-top row: width = grid_block -->
          <?php print render($page['preface_top']); ?>
          <?php print render($page['secondary_menu']); ?>

        </div><!-- /header-group -->
      </div><!-- /header-group-wrapper -->

      <!-- main row: width = grid_width -->
      <div id="main-wrapper" class="main-wrapper full-width clearfix">
        <div id="main" class="main region <?php print $grid_width; ?>">
          <div id="main-inner" class="main-inner inner clearfix">
            <?php print render($page['sidebar_first']); ?>

            <!-- main group: width = grid_width - sidebar_first_width -->
            <div id="main-group" class="main-group region nested <?php print $main_group_width; ?>">
              <div id="main-group-inner" class="main-group-inner inner clearfix">
                <?php print render($page['preface_bottom']); ?>

                <div id="main-content" class="main-content region nested">
                  <div id="main-content-inner" class="main-content-inner inner clearfix">
                    <!-- content group: width = grid_width - (sidebar_first_width + sidebar_last_width) -->
                    <div id="content-group" class="content-group region nested <?php print $content_group_width; ?>">
                      <div id="content-group-inner" class="content-group-inner inner clearfix">
	                <?php print theme('grid_block', array('content' => $breadcrumb, 'id' => 'breadcrumbs')); ?>
                        <?php print theme('grid_block', array('content' => $messages, 'id' => 'content-messages')); ?>

                        <?php if ($page['content_top']): ?>
                        <div id="content-top-wrapper" class="content-top-wrapper region nested">
                          <div id="content-top-inner" class="content-top-inner inner clearfix">
                            <div id="content-top-inner-inner" class="content-top-inner-inner inner clearfix">
                              <div id="content-top" class="inner clearfix">
			        <?php print render ($page['content_top']); ?>
                              </div>
                            </div>
                          </div><!-- /content-top-inner -->
                        </div><!-- /content-top -->
                        <?php endif; ?>
                        <div id="content-region" class="content-region region nested">
                          <div id="content-region-inner" class="content-region-inner inner clearfix">
                            <a name="main-content-area" id="main-content-area"></a>
	                    <?php //print theme('grid_block', array('content' => $tabs, 'id' => 'content-tabs')); ?>
	                    <?php if ($tabs): ?>
			      <div id="content-tabs" class="clear">
				 <?php print render($tabs); ?>
			      </div>
			    <?php endif; ?>
                            <?php print theme('grid_block', array('content' => render($page['help']), 'id' => 'content-help')); ?>
                            <div id="content-inner" class="content-inner block">
                              <div id="content-inner-inner" class="content-inner-inner inner clearfix">
                                <?php print render($title_prefix); ?>
                                <?php if ($title): ?>
                                <h1 class="title gutter"><?php print $title; ?></h1>
                                <?php endif; ?>
                                <?php print render($title_suffix); ?>
                                <?php if ($page['content']): ?>
                                <div id="content-content" class="content-content">
				   <?php print render ($page['content']); ?>
                                </div><!-- /content-content -->
                                <?php endif; ?>
                              </div><!-- /content-inner-inner -->
                            </div><!-- /content-inner -->
                          </div><!-- /content-region-inner -->
                        </div><!-- /content-region -->

                        <?php print render($page['content_bottom']); ?>
                      </div><!-- /content-group-inner -->
                    </div><!-- /content-group -->

                    <?php print render($page['sidebar_second']); ?>
                  </div><!-- /main-content-inner -->
                </div><!-- /main-content -->

                <?php print render($page['postscript_top']); ?>
              </div><!-- /main-group-inner -->
            </div><!-- /main-group -->
          </div><!-- /main-inner -->
        </div><!-- /main -->
      </div><!-- /main-wrapper -->

      <!-- postscript-bottom row: width = grid_width -->
      <?php print render($page['postscript_bottom']); ?>

      <!-- footer row: width = grid_width -->
      <?php print render($page['footer']); ?>
    </div><!-- /page-inner -->
  </div><!-- /page -->