<?php
// $Id: theme-settings.php,v 1.9 2010/11/18 23:43:54 sociotech Exp $

/**
 * Allow themes to alter the theme-specific settings form.
 *
 * With this hook, themes can alter the theme-specific settings form in any way
 * allowable by Drupal's Forms API, such as adding form elements, changing
 * default values and removing form elements. See the Forms API documentation on
 * api.drupal.org for detailed information.
 *
 * Note that the base theme's form alterations will be run before any sub-theme
 * alterations.
 *
 * @param $form
 *   Nested array of form elements that comprise the form.
 * @param $form_state
 *   A keyed array containing the current state of the form.
 */
function acquia_slate_form_system_theme_settings_alter(&$form, $form_state) {
 $form['acquia_slate_banner'] = array(
    '#type' => 'fieldset',
    '#weight' => 1,
    '#title' => t('Acquia Slate - Banner Styles Wrapper'),
    '#description' => t('Select the Banner Style'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE,
  );

$form['acquia_slate_banner']['acquia_slate_banner_style'] = array(
    '#type'          => 'radios',
    '#title'         => t('Acquia Slate - Banner Styles'),
    '#options'       => array(
      'acquia_default' => t('None'),
      'banner-background-beachstones banner-background' => t('Beach stones'),
      'banner-background-citystreetlights banner-background' => t('City street lights'),
      'banner-background-greekheads banner-background' => t('Greek heads'),
      'banner-background-seascape banner-background' => t('Seascape'),
      'banner-background-windows banner-background' => t('Windows'),
     ),
    '#default_value' => theme_get_setting('acquia_slate_banner_style'),
  );

}
